Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02
icon5.gif  Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799413] Wed, 15 February 2012 16:26 Go to next message
Matthew T. Adams is currently offline Matthew T. Adams
Messages: 31
Registered: July 2009
Location: Austin, TX
Member

Hi all,

Just downloaded Virgo Tomcat 3.5.0.M02, copied spring library jars into repository/usr, started virgo, and got the following error (after working around the issue I described at http://www.eclipse.org/forums/index.php/mv/msg/277347/799402/#msg_799402 ). I thought the version of Spring in the user region wouldn't conflict with that in the kernel region -- at least that's what it says at
http://wiki.eclipse.org/Virgo/FAQ#How_can_I_change_the_version_of_Spring_framework_in_the_user_region.3F

I did report bug
https://bugs.eclipse.org/bugs/show_bug.cgi?id=357273
which says it's fixed in the 3.5.0 line. Anyone know what's up?

Command line output:
C:\virgo\virgo-tomcat-server-3.5.0.M02\bin>startup -clean
WARNING: jmxPermissions.vbs did not update the permissions of C:\virgo\VIRGO-~1.M02\config\org.eclipse.virgo.kernel.jmxremote.access.properties. Check the file has the correct permissions.
[2012-02-15 15:18:25.064] startup-tracker              <KE0001I> Kernel starting.
[2012-02-15 15:18:28.013] startup-tracker              <KE0002I> Kernel started.
[2012-02-15 15:18:28.285] system-artifacts             <DE0000I> Installing plan 'org.eclipse.virgo.kernel.userregion.springdm' version '3.0.0'.
[2012-02-15 15:18:30.103] system-artifacts             <DE0000I> Installing bundle 'org.springframework.osgi.core' version '1.2.1'.
[2012-02-15 15:18:30.639] system-artifacts             <DE0000I> Installing bundle 'org.springframework.osgi.extender' version '1.2.1'.
[2012-02-15 15:18:30.784] system-artifacts             <DE0000I> Installing bundle 'org.springframework.osgi.io' version '1.2.1'.
[2012-02-15 15:18:30.913] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.virgo.kernel.agent.dm' version '3.5.0.M02'.
[2012-02-15 15:18:30.972] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.virgo.kernel.deployer.dm' version '3.5.0.M02'.
[2012-02-15 15:18:31.440] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.equinox.ds' version '1.3.0.v20110124-0830'.
[2012-02-15 15:18:31.800] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.equinox.util' version '1.0.200.v20100503'.
[2012-02-15 15:18:31.814] system-artifacts             <DE0000I> Installing configuration 'osgi.console' version '0.0.0'.
[2012-02-15 15:18:32.987] system-artifacts             <DE0001I> Installed bundle 'org.springframework.osgi.core' version '1.2.1'.
[2012-02-15 15:18:32.988] system-artifacts             <DE0001I> Installed bundle 'org.springframework.osgi.extender' version '1.2.1'.
[2012-02-15 15:18:32.990] system-artifacts             <DE0001I> Installed bundle 'org.springframework.osgi.io' version '1.2.1'.
[2012-02-15 15:18:32.991] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.virgo.kernel.agent.dm' version '3.5.0.M02'.
[2012-02-15 15:18:32.993] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.virgo.kernel.deployer.dm' version '3.5.0.M02'.
[2012-02-15 15:18:32.994] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.equinox.ds' version '1.3.0.v20110124-0830'.
[2012-02-15 15:18:32.997] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.equinox.util' version '1.0.200.v20100503'.
[2012-02-15 15:18:32.998] system-artifacts             <DE0001I> Installed configuration 'osgi.console' version '0.0.0'.
[2012-02-15 15:18:32.999] system-artifacts             <DE0001I> Installed plan 'org.eclipse.virgo.kernel.userregion.springdm' version '3.0.0'.
[2012-02-15 15:18:33.039] system-artifacts             <DE0004I> Starting plan 'org.eclipse.virgo.kernel.userregion.springdm' version '3.0.0'.
[2012-02-15 15:18:33.046] system-artifacts             <DE0004I> Starting bundle 'org.springframework.osgi.core' version '1.2.1'.
[2012-02-15 15:18:33.050] start-signalling-1           <DE0005I> Started bundle 'org.springframework.osgi.core' version '1.2.1'.
[2012-02-15 15:18:33.051] system-artifacts             <DE0004I> Starting bundle 'org.springframework.osgi.extender' version '1.2.1'.
[2012-02-15 15:18:33.612] start-signalling-1           <DE0005I> Started bundle 'org.springframework.osgi.extender' version '1.2.1'.
[2012-02-15 15:18:33.613] system-artifacts             <DE0004I> Starting bundle 'org.springframework.osgi.io' version '1.2.1'.
[2012-02-15 15:18:33.616] start-signalling-1           <DE0005I> Started bundle 'org.springframework.osgi.io' version '1.2.1'.
[2012-02-15 15:18:33.617] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.virgo.kernel.agent.dm' version '3.5.0.M02'.
[2012-02-15 15:18:33.620] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.virgo.kernel.agent.dm' version '3.5.0.M02'.
[2012-02-15 15:18:33.623] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.virgo.kernel.deployer.dm' version '3.5.0.M02'.
[2012-02-15 15:18:33.644] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.equinox.ds' version '1.3.0.v20110124-0830'.
[2012-02-15 15:18:33.769] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.equinox.ds' version '1.3.0.v20110124-0830'.
[2012-02-15 15:18:33.770] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.equinox.util' version '1.0.200.v20100503'.
[2012-02-15 15:18:33.788] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.virgo.kernel.deployer.dm' version '3.5.0.M02'.
[2012-02-15 15:18:33.791] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.equinox.util' version '1.0.200.v20100503'.
[2012-02-15 15:18:33.791] system-artifacts             <DE0004I> Starting configuration 'osgi.console' version '0.0.0'.
[2012-02-15 15:18:33.833] system-artifacts             <DE0005I> Started configuration 'osgi.console' version '0.0.0'.
[2012-02-15 15:18:33.834] system-artifacts             <DE0005I> Started plan 'org.eclipse.virgo.kernel.userregion.springdm' version '3.0.0'.
[2012-02-15 15:18:33.963] system-artifacts             <DE0000I> Installing plan 'org.eclipse.virgo.web.tomcat' version '3.0.0'.
[2012-02-15 15:18:33.973] system-artifacts             <DE0000I> Installing configuration 'org.eclipse.virgo.web' version '0.0.0'.
[2012-02-15 15:18:34.382] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.gemini.web.core' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:34.718] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.gemini.web.tomcat' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:34.838] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.virgo.web.core' version '3.5.0.M02'.
[2012-02-15 15:18:34.870] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.virgo.web.dm' version '3.5.0.M02'.
[2012-02-15 15:18:34.959] system-artifacts             <DE0000I> Installing bundle 'org.eclipse.virgo.web.tomcat.support' version '3.5.0.M02'.
[2012-02-15 15:18:35.282] system-artifacts             <DE0001I> Installed configuration 'org.eclipse.virgo.web' version '0.0.0'.
[2012-02-15 15:18:35.284] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.gemini.web.core' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:35.285] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.gemini.web.tomcat' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:35.287] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.virgo.web.core' version '3.5.0.M02'.
[2012-02-15 15:18:35.288] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.virgo.web.dm' version '3.5.0.M02'.
[2012-02-15 15:18:35.290] system-artifacts             <DE0001I> Installed bundle 'org.eclipse.virgo.web.tomcat.support' version '3.5.0.M02'.
[2012-02-15 15:18:35.291] system-artifacts             <DE0001I> Installed plan 'org.eclipse.virgo.web.tomcat' version '3.0.0'.
[2012-02-15 15:18:35.318] system-artifacts             <DE0004I> Starting plan 'org.eclipse.virgo.web.tomcat' version '3.0.0'.
[2012-02-15 15:18:35.319] system-artifacts             <DE0004I> Starting configuration 'org.eclipse.virgo.web' version '0.0.0'.
[2012-02-15 15:18:35.365] system-artifacts             <DE0005I> Started configuration 'org.eclipse.virgo.web' version '0.0.0'.
[2012-02-15 15:18:35.367] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.gemini.web.core' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:35.396] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.gemini.web.core' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:35.399] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.gemini.web.tomcat' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:35.908] system-artifacts             <TC0000I> Starting Tomcat.
[2012-02-15 15:18:35.937] system-artifacts             <TC0010I> Creating HTTP/1.1 connector with scheme http on port 8080.
[2012-02-15 15:18:35.947] system-artifacts             <TC0010I> Creating HTTP/1.1 connector with scheme https on port 8443.
[2012-02-15 15:18:35.952] system-artifacts             <TC0010I> Creating AJP/1.3 connector with scheme http on port 8009.
[2012-02-15 15:18:35.957] system-artifacts             <TC0001I> Started Tomcat.
[2012-02-15 15:18:35.976] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.virgo.web.core' version '3.5.0.M02'.
[2012-02-15 15:18:35.984] system-artifacts             <DE0004I> Starting bundle 'org.eclipse.virgo.web.dm' version '3.5.0.M02'.
[2012-02-15 15:18:35.987] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.virgo.web.dm' version '3.5.0.M02'.
[2012-02-15 15:18:35.988] system-artifacts             <DE0005I> Started bundle 'org.eclipse.virgo.web.tomcat.support' version '3.5.0.M02'.
[2012-02-15 15:18:36.107] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.gemini.web.tomcat' version '2.1.0.BUILD-20120114220114'.
[2012-02-15 15:18:36.124] start-signalling-1           <DE0005I> Started bundle 'org.eclipse.virgo.web.core' version '3.5.0.M02'.
[2012-02-15 15:18:36.126] start-signalling-1           <DE0005I> Started plan 'org.eclipse.virgo.web.tomcat' version '3.0.0'.
[2012-02-15 15:18:36.136] sync Event Dispatcher Thread <UR0001I> User region ready.
[2012-02-15 15:18:37.141] fs-watcher                   <HD0001I> Hot deployer processing 'INITIAL' event for file 'org.eclipse.virgo.apps.admin_3.5.0.M02.plan'.
[2012-02-15 15:18:37.289] fs-watcher                   <DE0000I> Installing plan 'org.eclipse.virgo.apps.admin.plan' version '3.0.0'.
[2012-02-15 15:18:37.516] fs-watcher                   <DE0000I> Installing bundle 'org.eclipse.virgo.apps.admin.core' version '3.5.0.M02'.
[2012-02-15 15:18:45.511] fs-watcher                   <DE0000I> Installing bundle 'org.eclipse.virgo.apps.admin.web' version '3.5.0.M02'.
[2012-02-15 15:18:47.609] fs-watcher                   <ME0003I> Dump 'serviceability\dump\2012-02-15-15-18-610' generated
[2012-02-15 15:18:47.714] fs-watcher                   <DE0002E> Installation of plan 'org.eclipse.virgo.apps.admin.plan' version '3.0.0' failed. org.eclipse.virgo.kernel.osgi.framework.UnableToS
atisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'org.eclipse.virgo.apps.admin.web' at version '3.5.0.M02': Cannot resolve: org.eclipse.virgo.apps.admin.web
    Resolver report:
        Uses violation: <Import-Package: org.eclipse.virgo.web.dm; version="[3.5.0,4.0.0)"> in bundle <org.eclipse.virgo.apps.admin.web_3.5.0.M02[1329340717289]>
            Found conflicts:
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.support_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.support_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.support_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.support_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.support_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.support_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.ui.context_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org
.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.ui.context_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.support
_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.beans.support_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'or
g.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.beans.support_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[1329340717347]' used by 'org.springframework.web.servlet.suppor
t_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.beans.factory.xml_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.beans.factory.xml_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[1329340717347]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io.support_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'o
rg.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io.support_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.suppo
rt_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.event_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle '
org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.event_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet_3.0.
5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm.commons_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.ec
lipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm.commons_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.
0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.convert.converter_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bu
ndle 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.convert.converter_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servle
t.support_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'

        Uses violation: <Import-Package: org.springframework.context.config; version="[2.5.6,4.0.0)"> in bundle <org.eclipse.virgo.apps.admin.web_3.5.0.M02[1329340717289]>
            Found conflicts:
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[49]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle '
org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[49]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle '
org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[49]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle '
org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[49]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle '
org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.beans.support_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[50]' used by 'org.springframework.context.config_3.0.5.RELEASE'
 in bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.beans.support_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'or
g.eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.util_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.util_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bun
dle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bun
dle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bun
dle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bun
dle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bun
dle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bun
dle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.beans.factory.xml_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[50]' used by 'org.springframework.context.config_3.0.5.RELE
ASE' in bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.beans.factory.xml_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io.support_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE
' in bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.io.support_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'o
rg.eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' in bundle
 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm.commons_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[49]' used by 'org.springframework.context.config_3.0.5.RELEASE' in
bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.asm.commons_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.ec
lipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.convert_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' i
n bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.convert_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.
eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.convert_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' i
n bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.convert_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.
eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.convert_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[52]' used by 'org.springframework.context.config_3.0.5.RELEASE' i
n bundle 'org.springframework.context_3.0.5.RELEASE[51]'
                conflicts with 'org.springframework.core.convert_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.
eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.context.config_3.0.5.RELEASE'
in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.context.config_3.0.5.RELEASE'
in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.context.config_3.0.5.RELEASE'
in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.context.config_3.0.5.RELEASE'
in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.beans.support_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[1329340717347]' used by 'org.springframework.context.config_3.0
.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.beans.support_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'or
g.eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.beans.factory.xml_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[1329340717347]' used by 'org.springframework.context.config
_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.beans.factory.xml_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.io.support_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.
0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core.io.support_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'o
rg.eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5.RELEASE
' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5.RELEASE
' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5.RELEASE
' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5.RELEASE
' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.asm.commons_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.context.config_3.0.5.R
ELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.asm.commons_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.ec
lipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.convert_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5
.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core.convert_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.
eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.convert_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5
.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core.convert_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.
eclipse.virgo.web.dm_3.5.0.M02[103]'
                package        'org.springframework.core.convert_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.context.config_3.0.5
.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]'
                conflicts with 'org.springframework.core.convert_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.
eclipse.virgo.web.dm_3.5.0.M02[103]'

        Uses violation: <Import-Package: org.springframework.web.multipart.commons; version="[2.5.6,4.0.0)"> in bundle <org.eclipse.virgo.apps.admin.web_3.5.0.M02[1329340717289]>
            Found conflicts:
                package        'org.springframework.web.multipart_3.1.0.RELEASE' in bundle 'org.springframework.web_3.1.0.RELEASE[99]' used by 'org.springframework.web.multipart.commons_3.1.0.REL
EASE' in bundle 'org.springframework.web_3.1.0.RELEASE[99]'
                conflicts with 'org.springframework.web.multipart_3.0.5.RELEASE' in bundle 'org.springframework.web_3.0.5.RELEASE[1329340717420]' used by 'org.springframework.web.servlet_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'


        at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:46)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessGraph(CompensatingPipeline.java:73)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:286)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:165)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:137)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:204)
        at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeployerFileSystemListener.java:163)
        at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeployerFileSystemListener.java:175)
        at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeployerFileSystemListener.java:76)
        at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:245)
        at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:166)
        at org.eclipse.virgo.kernel.deployer.hot.WatchTask.run(WatchTask.java:48)
        at java.lang.Thread.run(Thread.java:662)

[2012-02-15 15:18:48.678] fs-watcher                   <DE0003E> Install failed for bundle 'org.eclipse.virgo.apps.admin.core' version '3.5.0.M02'.
[2012-02-15 15:18:48.680] fs-watcher                   <DE0003E> Install failed for bundle 'org.eclipse.virgo.apps.admin.web' version '3.5.0.M02'.
[2012-02-15 15:18:48.738] fs-watcher                   <DE0003E> Install failed for plan 'org.eclipse.virgo.apps.admin.plan' version '3.0.0'.
[2012-02-15 15:18:48.774] fs-watcher                   <HD0002E> Hot deploy failed for file 'org.eclipse.virgo.apps.admin_3.5.0.M02.plan'. org.eclipse.virgo.kernel.deployer.core.DeploymentExcepti
on: Dependency satisfaction failed
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:289)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:165)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:137)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:204)
        at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeployerFileSystemListener.java:163)
        at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeployerFileSystemListener.java:175)
        at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeployerFileSystemListener.java:76)
        at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:245)
        at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:166)
        at org.eclipse.virgo.kernel.deployer.hot.WatchTask.run(WatchTask.java:48)
        at java.lang.Thread.run(Thread.java:662)
Caused by: org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'org.eclipse.virgo.apps.admin.web' at version '3.5.0.M02':
Cannot resolve: org.eclipse.virgo.apps.admin.web
    Resolver report:
        Uses violation: <Import-Package: org.eclipse.virgo.web.dm; version="[3.5.0,4.0.0)"> in bundle <org.eclipse.virgo.apps.admin.web_3.5.0.M02[1329340717289]>
            Found conflicts:
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.asm_3.1.0.RELEASE' in bundle 'org.springframework.asm_3.1.0.RELEASE[90]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.vi
rgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.asm_3.0.5.RELEASE' in bundle 'org.springframework.asm_3.0.5.RELEASE[1329340717404]' used by 'org.springframework.web.servlet.support_3.0.5.RELE
ASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.support_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.support_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.support_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.support_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.context.support_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle
 'org.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.context.support_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.su
pport_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclipse.
virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5.RE
LEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.ui.context_3.1.0.RELEASE' in bundle 'org.springframework.context_3.1.0.RELEASE[92]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org
.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.ui.context_3.0.5.RELEASE' in bundle 'org.springframework.context_3.0.5.RELEASE[1329340717344]' used by 'org.springframework.web.servlet.support
_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.beans.support_3.1.0.RELEASE' in bundle 'org.springframework.beans_3.1.0.RELEASE[91]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'or
g.eclipse.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.beans.support_3.0.5.RELEASE' in bundle 'org.springframework.beans_3.0.5.RELEASE[1329340717347]' used by 'org.springframework.web.servlet.suppor
t_3.0.5.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframework.web.servlet_3.0.5.RELEASE[1329340717290]'
                package        'org.springframework.core.io_3.1.0.RELEASE' in bundle 'org.springframework.core_3.1.0.RELEASE[93]' used by 'org.eclipse.virgo.web.dm_3.5.0.M02' in bundle 'org.eclip
se.virgo.web.dm_3.5.0.M02[103]'
                conflicts with 'org.springframework.core.io_3.0.5.RELEASE' in bundle 'org.springframework.core_3.0.5.RELEASE[1329340717395]' used by 'org.springframework.web.servlet.support_3.0.5
.RELEASE' in bundle 'org.springframewor



Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799744 is a reply to message #799413] Thu, 16 February 2012 04:06 Go to previous messageGo to next message
Arief Bastian is currently offline Arief Bastian
Messages: 7
Registered: May 2011
Junior Member
I am experiencing that too, then instead of repository/ext (as document says), I copied springs' jar to repository/usr (leaves repository/ext untouched) and it runs, and I can see spring 3.1.0 bundles on admin console too...
Is that how it should be?

regards,
--
Arief Bastian
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799810 is a reply to message #799744] Thu, 16 February 2012 05:48 Go to previous messageGo to next message
Chris Frost is currently offline Chris Frost
Messages: 230
Registered: January 2010
Location: Southampton, England
Senior Member

Hi,

You are correct, you should be able to use whatever version of Spring you like in the user region, however there are two problems here. Firstly, there have been some changes in Spring 3.1.0 that required us to make a small change in Virgo for it to work. This isn't a conflict with the other version of Spring just some changes in the manifests and that fix isn't in 3.5.0.M02 but has been done and should be in a milestone soon.

Second, there have been some pretty big changes to the repositories stuff in Vrigo so I wouldn't be surprised if this has cause problems with dependencies leaking between the regions. On the second point, I've asked another committer to have a look at this thread, they might ask you to raise a bug.

Thanks, Chris.


------------------------------------------------
Chris Frost, Twitter @cgfrost
Springsource, a divison of VMware.
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799887 is a reply to message #799810] Thu, 16 February 2012 07:42 Go to previous messageGo to next message
Borislav Kapukaranov is currently offline Borislav Kapukaranov
Messages: 80
Registered: September 2010
Member
Hi,

I have not been able to reproduce this. Have you followed the guide exactly:
1. delete old Spring from repository/ext
2. copy new Spring 3.1.0 in repositoiry/ext
3. start virgo with -clean

I did these three steps with a fresh VTS 3.5.0.M02 and everything started normally.

From what Mathew and Arief have written it seems you're trying to run both Spring framework versions in the user region which I personally wouldn't expect to be working well even if it may have worked in the past.

The recent major changes involve only the kernel region and the way we inherit it from Virgo Nano. The repository mechanism should not be affected in any way from these changes.
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799940 is a reply to message #799744] Thu, 16 February 2012 08:41 Go to previous messageGo to next message
Matthew T. Adams is currently offline Matthew T. Adams
Messages: 31
Registered: July 2009
Location: Austin, TX
Member

@Chris, thanks for the info.

@Borislav, as Chris noted, I'm not trying to replace the Spring version in repository/ext, only in repository/usr, which Chris confirmed I'm supposed to be able to do. By placing some of the Spring 3.1.0 jars in repository/usr and doing nothing else except starting virgo, I get the error listed.

It is worth noting that if I copy **all** of the Spring 3.1.0 jars to repository/usr, then virgo starts normally.

What's the timeline for 3.5.0.RELEASE?

Thanks,
Matthew
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799947 is a reply to message #799940] Thu, 16 February 2012 08:50 Go to previous messageGo to next message
Chris Frost is currently offline Chris Frost
Messages: 230
Registered: January 2010
Location: Southampton, England
Senior Member

I think that's it then, just needed to copy all the jars. Spring won't work if it's half one version and half another version.

@Borislav, if they remove the old version of spring from repository/ext won't the kernel still be running on the old copy of spring in the plugins folder, this is what I thought but wasn't sure.

Chris.


------------------------------------------------
Chris Frost, Twitter @cgfrost
Springsource, a divison of VMware.
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799963 is a reply to message #799940] Thu, 16 February 2012 09:09 Go to previous messageGo to next message
Arief Bastian is currently offline Arief Bastian
Messages: 7
Registered: May 2011
Junior Member
@Borislav, you're right, after I tried it once more, it worked nicely...

So I try to simulate the cause of my previous problem, and I think I've found why :
1. I extract fresh Virgo and give it a try by running...
2. I tried to upgrade spring library to 3.1.0 as the FAQ document, but there's no mention of -clean, and it failed
3. I tried to copy spring library to repository/usr, but this time using fresh Virgo (since I don't want being trouble to restore spring library at repository/ext) and it worked...

I think the FAQ should be updated to mentioned that you should use -clean arguments...

regards,
--
Arief Bastian
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799974 is a reply to message #799963] Thu, 16 February 2012 09:24 Go to previous messageGo to next message
Borislav Kapukaranov is currently offline Borislav Kapukaranov
Messages: 80
Registered: September 2010
Member
Just so that we are on the same page - both repository/ext and /usr bundles are installed in the user region. So having one version of Spring in /ext and another in /usr could easily cause conflicts because they are both installed in the same region.

@Chris - right, the kernel's Spring is in entirely different place - /plugins and copying stuff in /repository is not affecting that in any way. And that's the whole point I believe - replacing Spring in the user region without affecting the kernel region.

@Matthew - there is no Spring in repository/usr, only one in repository/ext so I'm quite confused with you saying you're replacing the version from /usr... As Chris said you can't expect to have half Spring in /ext with one version and the other half in /usr with newer version and expect them to run well.

The wiki already says about the -clean option. Wink Quote:
Then re-start Virgo with the -clean switch and the user region should now run with the replacement version of Spring framework.


We have aligned 3.5.0 with the Eclipse Juno release train for now, so the current plan is to release sometime in June. We'll continue to produce milestones until then.
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799980 is a reply to message #799974] Thu, 16 February 2012 09:34 Go to previous messageGo to next message
Arief Bastian is currently offline Arief Bastian
Messages: 7
Registered: May 2011
Junior Member
My bad... haven't read fully, just concentrated on the example... Sorry for the confusion...
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #799988 is a reply to message #799974] Thu, 16 February 2012 09:47 Go to previous messageGo to next message
Matthew T. Adams is currently offline Matthew T. Adams
Messages: 31
Registered: July 2009
Location: Austin, TX
Member

@Borislav, I didn't realize that repository/ext bundles are exposed to the user space. I mistakenly thought that was kernel area, separate from repository/usr. If that's the case, what's the motivation behind having ext & usr? How are the different? An RTFM is fine -- I clearly missed that.

Thanks!
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #800602 is a reply to message #799988] Fri, 17 February 2012 04:10 Go to previous messageGo to next message
Glyn Normington is currently offline Glyn Normington
Messages: 1222
Registered: July 2009
Senior Member
Matthew T. Adams wrote on Thu, 16 February 2012 14:47
@Borislav, I didn't realize that repository/ext bundles are exposed to the user space. I mistakenly thought that was kernel area, separate from repository/usr. If that's the case, what's the motivation behind having ext & usr? How are the different? An RTFM is fine -- I clearly missed that.

Thanks!

We keep ext and usr separate so users can easily keep track of the application bundles in the repository. Also, ext is an external repository and is only scanned at clean startup whereas usr is watched and is scanned periodically and at the start of each deployment operation. The rationale there is that we expect the contents of usr to change while Virgo is running, but we don't expect ext to change once Virgo has started. There are some general comments on configuring repositories in the User Guide.

However, I think the rationale would be worth adding to the User Guide, so I raised bug 371858 to clarify this.
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #800779 is a reply to message #800602] Fri, 17 February 2012 08:37 Go to previous messageGo to next message
Matthew T. Adams is currently offline Matthew T. Adams
Messages: 31
Registered: July 2009
Location: Austin, TX
Member

Thanks, Glyn, for making that so clear. I get it now, and am happy to know that the Virgo kernel is shrouded in mystery, buried somewhere else in the distro. Wink

-matthew
Re: Error w/Spring 3.1.0.RELEASE in repository/usr w/Virgo Tomcat 3.5.0.M02 [message #800786 is a reply to message #800779] Fri, 17 February 2012 08:49 Go to previous message
Glyn Normington is currently offline Glyn Normington
Messages: 1222
Registered: July 2009
Senior Member
Well the kernel really should be easily understood. It's simply that the User Guide is aimed at typical users who are developing applications rather than on those who want to modify the kernel. If you have further questions about the kernel, please don't hesitate to ask so we can unveil the mystery a little more. Wink
Previous Topic:Bundle startup order in virgin VWS
Next Topic:How to read kernel dumps
Goto Forum:
  


Current Time: Wed Jul 30 13:11:36 EDT 2014

Powered by FUDForum. Page generated in 0.03260 seconds